% Subroutine for computing "alpha" by solving a linear system
% Coded by Jianhui Chen (jianhui.chen@asu.edu, Arizona State University)

function [ alpha val ] = compute_alpha_ls_joint(G, theta, H)

theta(1) = max(theta(1), 10^-8);

len = length(G);
[ n num_c ] = size( H );

G_Sum = zeros( n, n );
for i = 1 : len
    G_Sum = G_Sum + theta(i) * G{i};
end

G_Sum =  1 / 2 * G_Sum; 
%G_Sum_inv = pinv(G_Sum);

alpha = G_Sum\H;

val = 0;
for cc = 1:num_c
%    alpha(:,cc) = G_Sum_inv *  H(:,cc);
    val  = val - 1 / 2 * alpha(:,cc)' * H(:,cc);
end
